cURL
curl --request POST \
--url https://api.contiguity.com/numbers/{number}/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.contiguity.com/numbers/{number}/configure"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.contiguity.com/numbers/{number}/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "req_xxxxxxxxxxxxxxxx",
"timestamp": 1772568052124,
"api_version": "v2026.3.3",
"object": "response",
"data": {
"number": "<string>",
"failover": {
"enabled": true,
"numbers": [
"<string>"
]
}
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772568052124,
"api_version": "v2026.3.3",
"object": "error",
"data": {
"error": "Bad Request",
"status": 400
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772568052124,
"api_version": "v2026.3.3",
"object": "error",
"data": {
"error": "Unauthorized",
"status": 401
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772568052124,
"api_version": "v2026.3.3",
"object": "error",
"data": {
"error": "Forbidden",
"status": 403
}
}{
"id": "err_xxxxxxxxxxxxxxxx",
"timestamp": 1772568052124,
"api_version": "v2026.3.3",
"object": "error",
"data": {
"error": "Internal Server Error",
"status": 500
}
}Lease
Configure a number
Customize a leased number’s behavior
POST
/
{number}
/
configure
cURL
The
failover configuration lets you set up this number to act as a failover target..- Set
enabledtotrueto activate failover. - The
modecan be eitherall(any number can fail over) orselective(only specific numbers are allowed. Useful for multi-tenant failover setups). - If you’re using
selectivemode, provide the list of allowed leased numbers innumbers.

Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number in E.164 format
Example:
"+13059478667"
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I